video
from0.08 / s
Grok Imagine Video 1.5
Creates videos from text prompts or still images, with 1080p resolution and clips up to 15 seconds.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "xai/grok-imagine-video/v1.5/reference-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "resolution": "480p", "aspect_ratio": "auto" }, withPolling: true, },); console.log(result);Calling the API
Use xai/grok-imagine-video/v1.5/reference-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "xai/grok-imagine-video/v1.5/reference-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "resolution": "480p", "aspect_ratio": "auto" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}image_urlstring · optional
First-frame image
{
"type": "string",
"title": "First-frame image",
"format": "uri"
}image_urlsarray · optional
Reference images
{
"type": "array",
"items": {
"type": "string",
"title": "Image",
"format": "uri"
},
"title": "Reference images",
"maxItems": 7,
"minItems": 0
}audio_urlstring · optional
Reference audio
{
"type": "string",
"title": "Reference audio",
"format": "uri"
}aspect_ratiostring · optional
aspect ratio
Options: auto, 1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3
Default: "auto"
{
"enum": [
"auto",
"1:1",
"16:9",
"9:16",
"4:3",
"3:4",
"3:2",
"2:3"
],
"type": "string",
"default": "auto"
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 1
}resolutionstring · optional
Resolution
Options: 480p, 720p, 1080p
Default: "480p"
{
"enum": [
"480p",
"720p",
"1080p"
],
"type": "string",
"title": "Resolution",
"default": "480p"
}Price
From $0.0800 per second.
View all pricing